package org.eclipse.team.examples.pessimistic;

public interface IConstants {
	
	static public final int CMD_CHECKOUT	= 1;
	static public final int CMD_CHECKIN		= 2; 
//	static public final int CMD_UNCHECKOUT	= 3;
  	static public final int CMD_ADD			= 4;
  		
	// static attribute for the preference page id
	public static final String pageIdPrefix = "com.rational.resourcemanagement.cmui.";

	// item id's for the preferences checkboxes
//	public static final String RM_AllowInMemoryEdits = pageIdPrefix + "AllowInMemoryEdits";	
//	public static final String RM_ListenToFileSystemChanges = pageIdPrefix + "ListenToFileSystemChanges";
//	public static final String RM_DoNotShowVersionMsg = pageIdPrefix + "DoNotShowVersionMsg";

	// item id's for the preferences combo boxes
	public static final String RM_WhenCheckedInFilesAreSaved = pageIdPrefix + "WhenCheckedInFilesAreSaved";
	public static final String RM_WhenCheckedInFilesAreEdited = pageIdPrefix + "WhenCheckedInFilesAreEdited";
	public static final String RM_WhenCheckedInFilesAreEditedNoPrompt = pageIdPrefix + "WhenCheckedInFilesAreEditedNoPrompt";
//	public static final String RM_WhenWorkspaceIsClosed = pageIdPrefix + "WhenWorkspaceIsClosed";
//	public static final String RM_WhenNewResourcesAreAdded = pageIdPrefix + "WhenNewResourcesAreAdded";

	// item id's for the ignore resources
//	public static final String RM_IgnoreResources = pageIdPrefix + "IgnoreResources";	

	// possible values for the preferences combo box
	public static final int RM_PROMPT = 0;
	public static final int RM_AUTOMATIC = 1;
	public static final int RM_DO_NOTHING = 2;

	// possible values for the plugin mode
//	public static final int RM_FILESYSTEM_MODE = 0;
//	public static final int RM_CLEARCASE_MODE = 1;

	// possible values for the preferences Type
	public static final int RM_BOOLEAN  = 1;
	public static final int RM_DOUBLE   = 2;
	public static final int RM_FLOAT    = 3;
	public static final int RM_INT      = 4;
	public static final int RM_LONG     = 5;
	public static final int RM_STRING   = 6;

	// possible values for debug options
//	public static final int RM_OK  		= 0;
//	public static final int RM_TRACE	= 1;
	
	// possible values for ignore resources
//	public static final String RM_DEFAULT_PATTERNS = "*.class:true,*.contrib*:true,*.keep*:true,*.obj:true,*.wdx:true,*.idx:true,.ratl_comp_root*:true";

	// resource management features
//	static final public String RM_FEATURE_ENABLED = "yes";
	
	public static final String RM_FailValidateEdit= pageIdPrefix + "FailValidateEdit";
	public static final String RM_ChangeFileContents= pageIdPrefix + "ChangeFileContents";

	public static final int RS_ChangedOnCheckOutForEdit = 1<<6;


	public static final int RS_CheckedOut = 1<<5;


	//
//	// Constants related to resource types
//	public static final int RS_FILE = 1<<1;
//	public static final int RS_FOLDER = 1<<2;
//
//	// Constants related to validate edit result details
	public static final int RS_CheckedOutForEdit = 1<<1;


	public static final int RS_CheckoutCancelledOrFailedForEdit = 1<<2;


	public static final int RS_Controlled = 1<<3;


	public static final int RS_EditNotPossible = 1<<3;


	public static final int RS_InMemoryEditAllowed = 1<<4;


	public static final int RS_InMemoryEditNotAllowed = 1<<5;


	// Constants related to CM events
//	public static final int CM_STATUS_CHANGED = 1<<1;
//	public static final int RESOURCE_CONTENT_CHANGED = 1<<2;
//	public static final int PERFORM_SAVE_BEFORE_CM_OPERATION = 1<<3;	
//	public static final int PROJECT_MOVED = 1<<4;	
//	
//	// Constants related to CM status
	public static final int RS_Invalid = 1<<1;


	public static final int RS_NotControlled = 1<<4;


	public static final int RS_NotOkToEdit = 1<<2;


	//
//	// Constants related to command status
//	public static final int RS_SUPPORTED = 1<<1;
//	public static final int RS_ENABLED = 1<<2;
//	public static final int RS_LATCHED = 1<<3;
//	public static final int RS_INVISIBLE = 1<<4;		
//	
//	// Constants related to validate edit result
	public static final int RS_OkToEdit = 1<<1;


	public static final int RS_PromptForReloadBeforeEdit = 1<<3;


	public static final int RS_Unknown = 1<<2;

	
}
